/api/v2/locations does not return parameters

01/26/2016 12:43 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Organizations and Locations   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1292275 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3154

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1292275

Description of problem:

GET /api/v2/locations/<location> does not return the parameters

Version-Release number of selected component (if applicable):

Satellite 6.1.5

How reproducible:

Repeatable.

Steps to Reproduce:

1. Create a location and in this location assign a parameter.

2. GET /api/v2/locations/<location>

3. Note the output does not contain the parameter:

Actual results:

"parameters": [     {

}

  ],

 Expected results:

parameters to be populated with the parameters from step 1 above.

Additional info:

This is also the same issue for hammer:

1. hammer location info --name <location>

Parameters:

=>

Organizations:

Related issues:

Has duplicate Hammer CLI - Bug #14763: Hammer location info does not display ... Duplicate 04/21/2016

Associated revisions

Revision 019a239c - 02/09/2016 04:06 AM - Shlomi Zadok

Fixes #13386 - Adds taxonomy parameters objects

History

#1 - 01/27/2016 03:09 AM - Dominic Cleal

05/21/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1292275


- Category set to Organizations and Locations

- Priority changed from High to Normal

#2 - 02/03/2016 08:35 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#3 - 02/03/2016 09:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3154 added

#4 - 02/09/2016 05:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 019a239c93421bb94b57e5683e304a61b35117d7.

#5 - 02/10/2016 09:40 AM - Dominic Cleal

- translation missing: en.field_release set to 123

#6 - 02/23/2016 04:55 AM - Dominic Cleal

- translation missing: en.field_release changed from 123 to 71

Will not be patched, as it relies on #12931.

#7 - 04/22/2016 02:50 AM - Dominic Cleal

- Has duplicate Bug #14763: Hammer location info does not display parameters assigned. added
